# -*- coding: utf-8 -*-
from setuphelpers import *
import glob


def update_package():
    print("Update package content from upstream binary sources")

    import requests, re
    from waptpackage import PackageEntry

    # Update transition from BeautifulSoup 3 to 4
    try:
        import BeautifulSoup
    except:
        import bs4 as BeautifulSoup

    # Get Proxy informations from WAPT settings
    proxies = {}
    if isfile(makepath(application_data(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    verify = True
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())
    current_version = pe["version"].split("-", 1)[0]
    verify = True

    url_dl = "https://go.skype.com/windows.desktop.download"

    wget(url_dl, "skype-temp.exe", proxies=proxies)

    product_version = get_file_properties("skype-temp.exe")["FileVersion"]

    exes = glob.glob("Skype*.exe")
    for fn in exes:
        if fn != "skype-temp.exe":
            remove_file(fn)

    filecopyto("skype-temp.exe", "Skype-%s.exe" % product_version)
    remove_file("skype-temp.exe")

    # updates control version from filename, increment package version.
    control = PackageEntry().load_control_from_wapt(".")
    control.version = "%s-%s" % (product_version, int(control.version.split("-", 1)[1]) + 1)
    control.save_control_to_wapt(".")
